petsc-3.13.6 2020-09-29
Report Typos and Errors

# DMNetworkGetComponentVariableOffset

Get the offset for accessing the variable associated with a component for the given vertex/edge from the local vector.

### Synopsis

    #include "petscdmnetwork.h"
    PetscErrorCode DMNetworkGetComponentVariableOffset(DM dm,PetscInt p,PetscInt compnum,PetscInt *offset)

Not Collective

### Input Parameters

| dm | - The DMNetwork object
| p | - the edge/vertex point
| compnum | - component number

### Output Parameters

offset -the offset

### See Also

DMNetworkGetVariableGlobalOffset(), DMGetLocalVector(), DMNetworkSetComponentNumVariables()

### Level

intermediate

### Location

src/dm/impls/network/network.c
Index of all DMNetwork routines
Table of Contents for all manual pages
Index of all manual pages